/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */
package com.yifu.cloud.plus.v1.yifu.archives.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import lombok.Data;

/**
 * 预入职导出全量信息
 *
 * @author hgw
 * @date 2024-6-24 16:37:28
 */
@Data
@ColumnWidth(15)
public class TPreMainExportAllVO {

	private static final long serialVersionUID = 1L;

	@HeadFontStyle(fontHeightInPoints = 11)

	@ExcelProperty(value = "提交时间")
	private String field2;
	@ExcelProperty(value = "状态")
	private String field1;
	@ExcelProperty(value = "审核人")
	private String field64;
	@ExcelProperty(value = "审核通过时间")
	private String field65;

	@ExcelProperty(value = "员工主码")
	private String field3;
	@ExcelProperty(value = "员工类型")
	private String field4;
	@ExcelProperty(value = "员工姓名")
	private String field5;
	@ExcelProperty(value = "身份证号")
	private String field6;
	@ExcelProperty(value = "性别")
	private String field7;
	@ExcelProperty(value = "身份证期限")
	private String field8;
	@ExcelProperty(value = "身份证开始日期")
	private String field9;
	@ExcelProperty(value = "身份证截止日期")
	private String field10;
	@ExcelProperty(value = "出生日期")
	private String field11;
	@ExcelProperty(value = "年龄")
	private String field12;
	@ExcelProperty(value = "婚姻状况")
	private String field13;
	@ExcelProperty(value = "民族")
	private String field14;
	@ExcelProperty(value = "政治面貌")
	private String field15;
	@ExcelProperty(value = "手机号码")
	private String field16;
	@ExcelProperty(value = "邮箱")
	private String field17;
	@ExcelProperty(value = "户籍所在地")
	private String field18;
	@ExcelProperty(value = "户口性质")
	private String field19;
	@ExcelProperty(value = "档案所在地")
	private String field20;
	@ExcelProperty(value = "档案状态")
	private String field21;
	@ExcelProperty(value = "通信地址-省")
	private String field66;
	@ExcelProperty(value = "通信地址-市")
	private String field67;
	@ExcelProperty(value = "通信地址-区/县")
	private String field68;
	@ExcelProperty(value = "通信地址-详细地址")
	private String field22;
	@ExcelProperty(value = "客户名称")
	private String field23;
	@ExcelProperty(value = "项目名称")
	private String field24;
	@ExcelProperty(value = "业务类型")
	private String field25;
	@ExcelProperty(value = "合同类型")
	private String field26;
	@ExcelProperty(value = "工时制")
	private String field27;
	@ExcelProperty(value = "就职岗位")
	private String field28;
	@ExcelProperty(value = "入职日期")
	private String field29;
	@ExcelProperty(value = "试用期")
	private String field30;
	@ExcelProperty(value = "标签")
	private String field31;
	@ExcelProperty(value = "姓名")
	private String field32;
	@ExcelProperty(value = "与本人关系")
	private String field33;
	@ExcelProperty(value = "联系地址")
	private String field34;
	@ExcelProperty(value = "联系电话")
	private String field35;
	@ExcelProperty(value = "学校")
	private String field36;
	@ExcelProperty(value = "专业")
	private String field37;
	@ExcelProperty(value = "学历")
	private String field38;
	@ExcelProperty(value = "是否大专及以上")
	private String field39;
	@ExcelProperty(value = "最高学历")
	private String field40;
	@ExcelProperty(value = "入学时间")
	private String field41;
	@ExcelProperty(value = "毕业时间")
	private String field42;
	@ExcelProperty(value = "是否为首份工作")
	private String field43;
	@ExcelProperty(value = "工作单位")
	private String field44;
	@ExcelProperty(value = "工作岗位")
	private String field45;
	@ExcelProperty(value = "开始工作日期")
	private String field46;
	@ExcelProperty(value = "结束工作日期")
	private String field47;
	@ExcelProperty(value = "成员姓名")
	private String field48;
	@ExcelProperty(value = "与本人关系")
	private String field49;
	@ExcelProperty(value = "手机号码")
	private String field50;
	@ExcelProperty(value = "是否有职业资格证书")
	private String field51;
	@ExcelProperty(value = "申报年度")
	private String field52;
	@ExcelProperty(value = "职业资格名称")
	private String field53;
	@ExcelProperty(value = "是否曾被认定为工伤")
	private String field54;
	@ExcelProperty(value = "是否有职业病")
	private String field55;
	@ExcelProperty(value = "职业病名称")
	private String field56;
	@ExcelProperty(value = "是否有传染性疾病")
	private String field57;
	@ExcelProperty(value = "传染病名称")
	private String field58;
	@ExcelProperty(value = "是否持有残疾人证明")
	private String field59;
	@ExcelProperty(value = "伤残病名称")
	private String field60;
	@ExcelProperty(value = "伤残等级")
	private String field61;
	@ExcelProperty(value = "是否从事过井下、高空、高温、特别繁重体力劳动以及有毒有害工种")
	private String field62;
	@ExcelProperty(value = "不良记录描述")
	private String field63;


}
