/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.yifu.archives.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.yifu.archives.entity.TPreEmpOtherFile;

import java.util.List;

/**
 * 预入职-其他附件主表
 *
 * @author hgw
 * @date 2024-07-17 14:56:34
 */
public interface TPreEmpOtherFileService extends IService<TPreEmpOtherFile> {

	/**
	 * 预入职-其他附件主表
	 *
	 * @return
	 */
	List<TPreEmpOtherFile> getTPreEmpOtherFileList(String preMainId);

	/**
	 * 预入职-其他附件主表
	 *
	 * @return
	 */
	List<TPreEmpOtherFile> getTPreEmpOtherFileListAndFile(String preMainId);

	/**
	 * @param preMainId
	 * @Description: 先删后加
	 * @Author: hgw
	 * @Date: 2024-7-17 15:12:27
	 * @return: void
	 **/
	void deleteOtherFileByMainId(String preMainId);
}
